%define module	MARC-Charset
%define name	perl-%{module}
%define version 1.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Convert MARC-8 encoded strings to UTF-8
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/MARC/%{module}-%{version}.tar.bz2
Buildrequires:  perl(Class::Accessor)
Buildrequires:  perl(XML::SAX)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
MARC::Charset is a package to assist you in converting converting data encoded
using MARC-8 character sets to Unicode (UTF-8).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/MARC
%{_mandir}/*/*



%changelog
* Wed Jul 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2010.0
+ Revision: 391185
- update to new version 1.1

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2009.0
+ Revision: 268541
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2009.0
+ Revision: 212215
- update to new version 1.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.98-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 0.98-1mdv2008.0
+ Revision: 60483
- New version 0.98

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.97-1mdv2008.0
+ Revision: 56109
- update to new version 0.97
- spec cleanup

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.96-1mdv2008.0
+ Revision: 20277
- 0.96


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-2mdk
- Fix According to perl Policy
	- BuildRequires 
	- Source URL

* Tue May 02 2006 Jerome Soyer <saispo@mandriva.org> 0.95-1mdk
- From Stphane Tletcha <steletch@free.fr>
- Initial Mandriva release

